Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
recvfrom_arg Struct Reference

## Data Fields
int | fd
int | flags
VALUE | str
socklen_t | alen
union_sockaddr | buf

## Detailed Description

Definition at line 121 of file init.c.

## Field Documentation

## ◆ alen

socklen_t recvfrom_arg::alen

Definition at line 124 of file init.c.

Referenced by rsock_s_recvfrom_nonblock().

## ◆ buf

union_sockaddr recvfrom_arg::buf

Definition at line 125 of file init.c.

## ◆ fd

int recvfrom_arg::fd

Definition at line 122 of file init.c.

Referenced by rsock_detect_cloexec(), rsock_s_recvfrom_nonblock(), and rsock_socket().

## ◆ flags

int recvfrom_arg::flags

Definition at line 122 of file init.c.

Referenced by rsock_detect_cloexec(), and rsock_s_recvfrom_nonblock().

## ◆ str

VALUE recvfrom_arg::str

Definition at line 123 of file init.c.

The documentation for this struct was generated from the following file:

- ext/socket/init.c